import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/labour_request_work_flow_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/labour_request_work_flow_entity.g.dart';

@JsonSerializable()
class LabourRequestWorkFlowEntity {
	@JSONField(name: "co_department_id")
	String? coDepartmentId = null;
	List<LabourRequestWorkFlowRecords>? records = null;

	LabourRequestWorkFlowEntity();

	factory LabourRequestWorkFlowEntity.fromJson(Map<String, dynamic> json) => $LabourRequestWorkFlowEntityFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestWorkFlowEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class LabourRequestWorkFlowRecords {
	@JSONField(name: "serial_number")
	int serialNumber = 0;
	@JSONField(name: "node_name")
	String? nodeName = null;
	@JSONField(name: "status_show")
	String? statusShow = null;
	@JSONField(name: "audit_name")
	String? auditName = null;
	@JSONField(name: "audit_time")
	String? auditTime = null;
	@JSONField(name: "audit_mark")
	String? auditMark = null;
	@JSONField(name: "created_at")
	String? createdAt = null;
	@JSONField(name: "assignee_type_show")
	String? assigneeTypeShow = null;
	@JSONField(name: "designation_show")
	String? designationShow = null;

	LabourRequestWorkFlowRecords();

	factory LabourRequestWorkFlowRecords.fromJson(Map<String, dynamic> json) => $LabourRequestWorkFlowRecordsFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestWorkFlowRecordsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}